IRremoteESP8266: Mitsubishi152Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
Mitsubishi152Protocol Union Reference

Native representation of a Mitsubishi Heavy 152-bit A/C message. More...

`#include <ir_MitsubishiHeavy.h>`

## Public Attributes

uint8_t | raw [kMitsubishiHeavy152StateLength]
| State in code form. More...
struct {
uint8_t Sig [5]
uint8_t Mode:3
uint8_t Power:1
uint8_t __pad0__:1
uint8_t Clean:1
uint8_t Filter:1
uint8_t __pad1__:1
uint8_t __pad2__:8
uint8_t Temp:4
uint8_t __pad3__:4
uint8_t __pad4__:8
uint8_t Fan:4
uint8_t __pad5__:4
uint8_t __pad6__:8
uint8_t __pad7__:1
uint8_t Three:1
uint8_t __pad8__:2
uint8_t D:1
uint8_t SwingV:3
uint8_t __pad9__:8
uint8_t SwingH:4
uint8_t __pad10__:4
uint8_t __pad11__:8
uint8_t __pad12__:6
uint8_t Night:1
uint8_t Silent:1
}; |

## Detailed Description

Native representation of a Mitsubishi Heavy 152-bit A/C message.

## Member Data Documentation

## ◆ @62

struct { ... }

## ◆ __pad0__

uint8_t Mitsubishi152Protocol::__pad0__

## ◆ __pad10__

uint8_t Mitsubishi152Protocol::__pad10__

## ◆ __pad11__

uint8_t Mitsubishi152Protocol::__pad11__

## ◆ __pad12__

uint8_t Mitsubishi152Protocol::__pad12__

## ◆ __pad1__

uint8_t Mitsubishi152Protocol::__pad1__

## ◆ __pad2__

uint8_t Mitsubishi152Protocol::__pad2__

## ◆ __pad3__

uint8_t Mitsubishi152Protocol::__pad3__

## ◆ __pad4__

uint8_t Mitsubishi152Protocol::__pad4__

## ◆ __pad5__

uint8_t Mitsubishi152Protocol::__pad5__

## ◆ __pad6__

uint8_t Mitsubishi152Protocol::__pad6__

## ◆ __pad7__

uint8_t Mitsubishi152Protocol::__pad7__

## ◆ __pad8__

uint8_t Mitsubishi152Protocol::__pad8__

## ◆ __pad9__

uint8_t Mitsubishi152Protocol::__pad9__

## ◆ Clean

uint8_t Mitsubishi152Protocol::Clean

## ◆ D

uint8_t Mitsubishi152Protocol::D

## ◆ Fan

uint8_t Mitsubishi152Protocol::Fan

## ◆ Filter

uint8_t Mitsubishi152Protocol::Filter

## ◆ Mode

uint8_t Mitsubishi152Protocol::Mode

## ◆ Night

uint8_t Mitsubishi152Protocol::Night

## ◆ Power

uint8_t Mitsubishi152Protocol::Power

## ◆ raw

uint8_t Mitsubishi152Protocol::raw[kMitsubishiHeavy152StateLength]

State in code form.

## ◆ Sig

uint8_t Mitsubishi152Protocol::Sig[5]

## ◆ Silent

uint8_t Mitsubishi152Protocol::Silent

## ◆ SwingH

uint8_t Mitsubishi152Protocol::SwingH

## ◆ SwingV

uint8_t Mitsubishi152Protocol::SwingV

## ◆ Temp

uint8_t Mitsubishi152Protocol::Temp

## ◆ Three

uint8_t Mitsubishi152Protocol::Three

The documentation for this union was generated from the following file:

- src/ir_MitsubishiHeavy.h